Download it now!
Bug 107107 - Breeze inactive icons are not really visible
Summary: Breeze inactive icons are not really visible
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.3.1.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Icon-Theme-Breeze Icon-Themes-Code
  Show dependency treegraph
 
Reported: 2017-04-12 06:14 UTC by Thomas Lendo
Modified: 2019-04-24 13:54 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Inactive Breeze arrows not really visible (7.48 KB, image/png)
2017-04-12 06:14 UTC, Thomas Lendo
Details
breeze in gtk3 and kde on default kde breeze theme. (5.77 KB, image/png)
2019-04-24 13:54 UTC, andreas_k
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Lendo 2017-04-12 06:14:05 UTC
Created attachment 132496 [details]
Inactive Breeze arrows not really visible

The inactive Breeze icons for "To Document Begin", "Previous Page", "Next Page" and "To Document End" (showing arrows) in Print Preview toolbar are not really visible if inactive/outgrayed because there is no page to move to.

To a user like me it seems there are no icons or it's a program fault. Please make the arrows a little bit thicker.

Tested with Version: 5.3.1.2
Build ID: e80a0e0fd1875e1696614d24c32df0f95f03deb2
CPU Threads: 8; OS Version: Windows 6.2
UI Render: default; Layout Engine: new; Locale: de-DE (de_DE); Calc: CL
Comment 1 Aron Budea 2017-04-17 16:35:10 UTC
I agree, and not only in Windows but in Linux as well.
A few other inactive icons also look unusual, or are hard to see, for example:
Cut, Undo/Redo, Find & Replace, Check Spelling and Grammar, Show Track Changes.
Comment 2 Yousuf Philips (jay) (retired) 2017-05-28 14:39:52 UTC
Yes i had seen this issue since Breeze was implemented and Cut, Undo and Redo were the most noticeable icons as they have non straight lines in it with anti-aliasing which is that the problem arises from.

(In reply to Thomas Lendo from comment #0)
> To a user like me it seems there are no icons or it's a program fault.
> Please make the arrows a little bit thicker.

Breeze's design is to have 1px thin lines, so not sure that the lines can be made thicker. I think if the color was changed dark gray to black, this might solve the issue.
Comment 3 andreas_k 2017-05-28 14:52:10 UTC
Yes the thicknesses and color are two main design rules. So it can't be changed.

How does the inactive thing work in libreoffice? Can there be something changed?
Comment 4 Yousuf Philips (jay) (retired) 2017-05-28 15:58:32 UTC
(In reply to andreas_k from comment #3)
> Yes the thicknesses and color are two main design rules. So it can't be
> changed.

So breeze is using 4d4d4d, but the breeze palette also has 31363b and 232629, so cant those be used?

> How does the inactive thing work in libreoffice? Can there be something
> changed?

@Maxim: Any thoughts about altering the code that dims icons?
Comment 5 andreas_k 2017-08-29 15:30:53 UTC
I'll tested 31363b and it doesn't help still the same than in master. so maybe some dim functionality is needed.
Comment 6 Adolfo Jayme 2017-12-10 06:34:39 UTC
The issue is not in the Breeze icon theme; it’s that LibreOffice sucks at creating semi-transparent versions of its icons,

I was hoping that the “nativealpha” branch would help with this, but it was abandoned a year ago: https://gerrit.libreoffice.org/gitweb?p=core.git;a=shortlog;h=refs/heads/feature/nativealpha
Comment 7 andreas_k 2017-12-10 09:05:54 UTC
If l could do something I would but the Design guide for breeze is clear.

My solution would be to use the svg files and style them like in plasma. Best together with the color scheme or a user specific color layout.
Comment 8 QA Administrators 2018-12-11 03:44:03 UTC Comment hidden (obsolete)
Comment 9 andreas_k 2019-04-24 13:54:14 UTC
Created attachment 150976 [details]
breeze in gtk3 and kde on default kde breeze theme.

I think it's ok. It can be improved but for more contrast use sifr.